import es
import usermsg

dmgdisplay_players = {}

def load():
    for userid in es.getUseridList():
        dmgdisplay_players[str(userid)] = 0

def player_spawn(ev):
    dmgdisplay_players[ev['userid']] = 0

def player_disconnect(ev):
    userid = ev['userid']
    if userid in dmgdisplay_players:
        del dmgdisplay_players[userid]

def player_hurt(ev):
    attacker = ev['attacker']
    damage = int(ev['dmg_health'])
    dmgdisplay_players[attacker] += damage
    usermsg.hudhint(attacker, 'Damage: %s' % damage)

def player_death(ev):
    userid = ev['userid']
    usermsg.hudhint(userid, 'Total Damage: %s' % dmgdisplay_players[userid])